# binding

Ian Dennis Miller
2017

My preferred home binding method uses staples and tape. This is a hybrid between saddle stitching and perfect binding.  This results in a "perfect binding" similar to lots of paperback books - except without the glue.

- https://en.wikipedia.org/wiki/Bookbinding
- https://www.thoughtco.com/what-is-perfect-binding-1077757

## materials

The staples and tape method requires the following supplies and tools:

- scissors
- x-acto knife
    + box cutter style
- white fabric tape, 1.5 inches wide
    + Comp-o-lite hockey stick wrapping tape
- thick tape, 3 inches wide
    + Gorilla tape, black
- binder clips (5 or 6)
    + small, white
- paper creasing tool
    + metal stylus with flat rounded end
- extra-long stapler with staples
    + Bostitch Long Reach B440LR
- guillotine style paper cutter
    + Fiskars Deluxe Craft Bypass Paper Trimmer 12", 197300-1001

## establish signatures

- collate the printed pile into 4-sheet signatures
- fold 4-page signatures in half with a crease
    + square the pages
    + bend over in half
    + put a short crease in the middle
    + square the folded-over corner
    + place signature on the table
    + fold the crease along the whole length
    + use creasing tool to ensure crease is crisp
- trim the signatures with a guillotine cutter at 5.25 inches
- staple through the middle of each signature
    + set the staple depth to 5.25 inches
    + rotate the staple receiving/shaping form so the staples flare out instead of curling in
- repeat crease with crease tool
- secure the book with binder clips on the top and the bottom

## build spine

- apply the first tape spine
    + cut an 8.5-inch piece of white fabric tape
        * over-estimate and trim after adhesion
    + place tape on desk, sticky-side up
    + center the spine of the book above the tape and stick it
    + keep the signatures really tight together and fold the tape onto the book
    + use the crease tool to work the tape into the signatures and press it
- staple the signatures again
    + insert one staple at 25% and one at 75% through the spine of each signature
    + each staple needs to go through the tape
    + use the crease tool to fold every staple tab down
    + re-apply binder clips to hold book square
- apply gorilla tape to spine
    + cut an 8.5-inch piece of gorilla tape
    + trim along the length of the tape to be barely smaller than the width of the spine
    + apply the tape over the binding and press it tightly
- apply fabric tape over the spine exactly as before
    + create a 90-degree ridge along both edges of the spine
    + the spine should be squared

## attach cover

- pre-fold the cover to establish spine
- cut an 8.5-inch piece of white fabric tape
- cut along the length to split the tape width in half
- attach tape to front of book
    + adhere half the tape along its length
    + press it flat
- attach the cover to front of book
    + place the cover flat on the table
    + fold the unadhered tape back
    + hold book along open edge, pointing up to the ceiling
    + lower the binding onto the cover along the spine
    + use crease tool to ensure adhesion
- attach tape to end of book, as before
- attach cover to end of book
    + fold tape back
    + hold book along open edge
    + roll spine of book onto cover
    + use the crease tool to press all the tape flat

